Bug 151230 - net-mgmt/nrpe2: update Makefile & pkg-plist for directory creation for pid file
Summary: net-mgmt/nrpe2: update Makefile & pkg-plist for directory creation for pid file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Josh Paetzel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-05 19:50 UTC by Eric F Crist
Modified: 2010-10-29 13:30 UTC (History)
1 user (show)

See Also:


Attachments
nrpe2.diff (501 bytes, patch)
2010-10-05 19:50 UTC, Eric F Crist
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric F Crist 2010-10-05 19:50:05 UTC
	nrpe2, when installed, does not create a /var/spool/nagios directory, but requires it to create a proper pid file, be default.
Comment 1 Edwin Groothuis freebsd_committer 2010-10-05 19:50:09 UTC
Maintainer of net-mgmt/nrpe2,

Please note that PR ports/151230 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/151230

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-10-05 19:50:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Josh Paetzel freebsd_committer 2010-10-05 20:58:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jpaetzel

I'll take it.
Comment 4 dfilter service freebsd_committer 2010-10-28 04:27:51 UTC
jpaetzel    2010-10-28 03:27:42 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nrpe2       Makefile pkg-plist 
  Log:
  Create proper default directory for pidfile
  
  PR:     ports/151230
  Submitted by:   Eric F Crist <ecrist@secure-computing.net>
  Approved by:    Maintainer timeout
  
  Revision  Changes    Path
  1.28      +2 -1      ports/net-mgmt/nrpe2/Makefile
  1.7       +1 -0      ports/net-mgmt/nrpe2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Josh Paetzel freebsd_committer 2010-10-28 04:28:14 UTC
State Changed
From-To: feedback->closed

Committed, maintainer timeout.
Comment 6 olli 2010-10-29 12:57:30 UTC
Hi,

I think the change to pkg-plist is redundant, because it
already removed the directory before.  Now it contains
these two lines:

@unexec rmdir /var/spool/nagios 2>/dev/null || true
@unexec rmdir %%NAGIOSDIR%% 2>/dev/null || true

and %%NAGIOSDIR%% expands to /var/spool/nagios by default,
so those two lines basically do the same thing.  Therefore
I think that r1.7 of ports/net-mgmt/nrpe2/pkg-plist should
be reverted.

Best regards
   Oliver

-- 
Oliver Fromme, secnetix GmbH & Co. KG, Marktplatz 29, 85567 Grafing b. M.
Handelsregister: Registergericht Muenchen, HRA 74606,  Geschäftsfuehrung:
secnetix Verwaltungsgesellsch. mbH, Handelsregister: Registergericht Mün-
chen, HRB 125758,  Geschäftsführer: Maik Bachmann, Olaf Erb, Ralf Gebhart

FreeBSD-Dienstleistungen, -Produkte und mehr:  http://www.secnetix.de/bsd

  > Can the denizens of this group enlighten me about what the
  > advantages of Python are, versus Perl ?
"python" is more likely to pass unharmed through your spelling
checker than "perl".
        -- An unknown poster and Fredrik Lundh
Comment 7 Eric F Crist 2010-10-29 13:26:38 UTC
You are correct, the unexec rmdir is redundant.

Eric


On Oct 29, 2010, at 06:57:30, Oliver Fromme wrote:

>=20
> Hi,
>=20
> I think the change to pkg-plist is redundant, because it
> already removed the directory before.  Now it contains
> these two lines:
>=20
> @unexec rmdir /var/spool/nagios 2>/dev/null || true
> @unexec rmdir %%NAGIOSDIR%% 2>/dev/null || true
>=20
> and %%NAGIOSDIR%% expands to /var/spool/nagios by default,
> so those two lines basically do the same thing.  Therefore
> I think that r1.7 of ports/net-mgmt/nrpe2/pkg-plist should
> be reverted.
>=20
> Best regards
>   Oliver
>=20
> --=20
> Oliver Fromme, secnetix GmbH & Co. KG, Marktplatz 29, 85567 Grafing b. =
M.
> Handelsregister: Registergericht Muenchen, HRA 74606,  =
Gesch=E4ftsfuehrung:
> secnetix Verwaltungsgesellsch. mbH, Handelsregister: Registergericht =
M=FCn-
> chen, HRB 125758,  Gesch=E4ftsf=FChrer: Maik Bachmann, Olaf Erb, Ralf =
Gebhart
>=20
> FreeBSD-Dienstleistungen, -Produkte und mehr:  =
http://www.secnetix.de/bsd
>=20
>> Can the denizens of this group enlighten me about what the
>> advantages of Python are, versus Perl ?
> "python" is more likely to pass unharmed through your spelling
> checker than "perl".
>        -- An unknown poster and Fredrik Lundh
>=20